=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                debhelper (>= 11.2~),
                libfile-copy-recursive-perl,
                libglib2.0-dev (>= 2.36.0),
-               libgtk2.0-dev (>= 2.24.10),
                libgtk-3-dev (>= 3.10.0),
                libpango1.0-dev (>= 1.30.0),
                libharfbuzz-dev (>= 0.9.18),
@@ -60,7 +59,7 @@
                libgl1-mesa-dev [!armel !armhf !arm64],
                libgles2-mesa-dev
 Build-Conflicts: gir-repository-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
 Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git
 Homepage: https://webkitgtk.org/
@@ -149,7 +148,7 @@
             gstreamer1.0-gl,
             libgl1-mesa-dri,
             ${gst:Recommends}
-Suggests: libwebkit2gtk-4.0-37-gtk2
+Suggests: ${gst:Suggests}
 Description: Web content engine library for GTK
  WebKit is a web content engine, derived from KHTML and KJS from KDE, and
  used primarily in Apple's Safari browser.  It is made to be embedded in
@@ -238,36 +237,23 @@
  packages using the GIRepository format to generate dynamic bindings.
 
 Package: libwebkit2gtk-4.0-37-gtk2
-Section: libs
-Architecture: linux-any
-Multi-Arch: same
+Section: oldlibs
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: browser-plugin-freshplayer-pepperflash
+Description: Transitional dummy package
+ This is a transitional dummy package, it can be safely removed.
+ .
+ WebKitGTK no longer supports plugins that depend on GTK 2. If you
+ still need to use the Adobe Flash Player then you can install
+ browser-plugin-freshplayer-pepperflash.
+
+Package: webkit2gtk-driver
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
-Description: Web content engine library for GTK - GTK 2 plugin process
- WebKit is a web content engine, derived from KHTML and KJS from KDE, and
- used primarily in Apple's Safari browser.  It is made to be embedded in
- other applications, such as mail readers, or web browsers.
- .
- It is able to display content such as HTML, SVG, XML, and others. It also
- supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
- .
- WebKit2 is an API layer for WebKit designed from the ground up to
- support a split process model, where the web content lives in a
- separate process from the application UI.
- .
- This build comes from the GTK port of WebKit (API version 4.0).
- .
- This package adds support for NPAPI plugins that depend on the GTK 2
- library, such as the Adobe Flash and Google Talk/Hangouts plugins.
-
-Package: webkit2gtk-driver
-Architecture: linux-any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
-         ${shlibs:Depends},
-         ${misc:Depends}
 Description: WebKitGTK WebDriver support
  WebKit is a web content engine, derived from KHTML and KJS from KDE, and
  used primarily in Apple's Safari browser.  It is made to be embedded in
