## webkit2gtk 2.26.2

=== debian/changelog ===
webkit2gtk (2.26.2-1~deb10+1) buster-security; urgency=high

  * Rebuild for buster-security.
  * debian/patches/force-single-process.patch:
    + Force the single-process mode in Evolution and Geary
  * debian/control:
    + Remove Breaks for Evolution < 3.34.1.
  * The WebKitGTK security advisory WSA-2019-0006 lists the following
    security fixes in the latest versions of WebKitGTK:
    + CVE-2019-8765, CVE-2019-8821, CVE-2019-8822 (fixed in 2.24.4)
    + CVE-2019-8710, CVE-2019-8743, CVE-2019-8764, CVE-2019-8766,
      CVE-2019-8782, CVE-2019-8808, CVE-2019-8815 (fixed in 2.26.0)
    + CVE-2019-8783, CVE-2019-8811, CVE-2019-8813, CVE-2019-8816,
      CVE-2019-8819, CVE-2019-8820, CVE-2019-8823 (fixed in 2.26.1)
    + CVE-2019-8812, CVE-2019-8814 (fixed in 2.26.2)

 -- Alberto Garcia <berto@igalia.com>  Tue, 12 Nov 2019 14:15:29 +0200

webkit2gtk (2.26.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Stop building with -O1 for armhf and friends, the build seems to
      work just fine with -O2 now.
  * debian/control:
    + Require bubblewrap >= 0.3.1.
  * debian/patches/force-single-process.patch:
    + Remove this patch, the fixed version of Geary (3.34.1) is now in
      unstable.
  * The WebKitGTK security advisory WSA-2019-0005 lists the following
    security fixes in the latest versions of WebKitGTK:
    + CVE-2019-8768 (fixed in 2.24.0).
    + CVE-2019-8735 (fixed in 2.24.2).
    + CVE-2019-8726 (fixed in 2.24.3).
    + CVE-2019-8674, CVE-2019-8707, CVE-2019-8719, CVE-2019-8733 and
      CVE-2019-8763 (fixed in 2.24.4).
    + CVE-2019-8625, CVE-2019-8720, CVE-2019-8769 and CVE-2019-8771
      (fixed in 2.26.0).

 -- Alberto Garcia <berto@igalia.com>  Wed, 06 Nov 2019 14:29:56 +0200
