=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Alberto Garcia <berto@igalia.com>
 X-Ubuntu-Use-Langpack: no
 Build-Depends: gawk,
-               bubblewrap,
+               bubblewrap (>= 0.3.1),
                xdg-dbus-proxy,
                libseccomp-dev,
                cmake (>= 3.3),
@@ -139,7 +139,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
-         bubblewrap,
+         bubblewrap (>= 0.3.1),
          xdg-dbus-proxy,
          ${shlibs:Depends},
          ${misc:Depends}
