=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,15 @@
 	CFLAGS := $(CFLAGS:-g=-g1)
 endif
 
-# See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=81426
-ifneq (,$(filter $(DEB_HOST_ARCH),armhf sh3 sh4 powerpc))
-	CFLAGS := $(CFLAGS:-O2=-O1)
+# Use the CLoop Javascript interpreter and disable the JIT. This is
+# slow but it is the most compatible solution for old (non-SSE2) CPUs.
+ifneq (,$(filter $(DEB_HOST_ARCH),i386))
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JIT=OFF -DENABLE_C_LOOP=ON
+endif
+
+# See https://bugs.webkit.org/show_bug.cgi?id=197192
+ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
+	EXTRA_CMAKE_ARGUMENTS += -DWTF_CPU_ARM64_CORTEXA53=OFF
 endif
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
@@ -50,9 +56,14 @@
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_OPENJPEG=OFF
 	CPPFLAGS += -DUSER_AGENT_GTK_DISTRIBUTOR_NAME='"Ubuntu"'
+endif
+
+# gstreamer1.0-libav is not in Ubuntu "main"
+override_dh_gencontrol:
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+	dh_gencontrol -- -Vgst:Suggests="gstreamer1.0-libav"
 else
-	# gstreamer1.0-libav is not in Ubuntu "main"
-	DEB_DH_GENCONTROL_ARGS += -- -Vgst:Recommends="gstreamer1.0-libav"
+	dh_gencontrol -- -Vgst:Recommends="gstreamer1.0-libav"
 endif
 
 %:
